summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2009-03-29 08:49:57 +0200
committerAllan McRae <allan@archlinux.org>2009-03-29 08:49:57 +0200
commitdeff57ce8bc2dbe77a9a597505c67ac891718dc0 (patch)
tree2b824312ec75e6bf3e3247ebd28d5335f61d9190 /scripts
parent7370fd595bc0447e7c17135e3a27cc3ae64015d4 (diff)
downloadpacman-deff57ce8bc2dbe77a9a597505c67ac891718dc0.tar.gz
pacman-deff57ce8bc2dbe77a9a597505c67ac891718dc0.tar.xz
makepkg: do not bail on failure to install built package
Fixes FS#13417. Do no exit makepkg on a failure to install the built package(s). This allows clean-up to still occur. Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in10
1 files changed, 8 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index ff2663b8..716c5a9b 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1071,10 +1071,16 @@ install_package() {
pkglist="${pkglist} $PKGDEST/${pkg}-${pkgver}-${pkgrel}-${CARCH}${PKGEXT}"
done
+ local ret=0
if [ "$ASROOT" -eq 0 ]; then
- sudo pacman $PACMAN_OPTS -U ${pkglist} || exit $?
+ sudo pacman $PACMAN_OPTS -U ${pkglist} || ret=$?
else
- pacman $PACMAN_OPTS -U ${pkglist} || exit $?
+ pacman $PACMAN_OPTS -U ${pkglist} || ret=$?
+ fi
+
+ if [ $ret -ne 0 ]; then
+ warning "$(gettext "Failed to install built package(s).")"
+ return 0
fi
}